org.apache.pdfbox.io

## Interface RandomAccessWrite

All Superinterfaces:
  AutoCloseable, Closeable

All Known Subinterfaces:
  RandomAccess

All Known Implementing Classes:
  RandomAccessReadWriteBuffer

    public interface RandomAccessWrite
    extends Closeable

An interface allowing random access write operations.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()` Clears all data of the buffer.
`void` `write(byte[] b)` Write a buffer of data to the stream.
`void` `write(byte[] b, int offset, int length)` Write a buffer of data to the stream.
`void` `write(int b)` Write a byte to the stream.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### write

    void write(int b)
        throws IOException

Write a byte to the stream.

Parameters:
  `b` - The byte to write.
Throws:
  `IOException` - If there is an IO error while writing.

#### write

    void write(byte[] b)
        throws IOException

Write a buffer of data to the stream.

Parameters:
  `b` - The buffer to get the data from.
Throws:
  `IOException` - If there is an error while writing the data.

#### write

    void write(byte[] b,
               int offset,
               int length)
        throws IOException

Write a buffer of data to the stream.

Parameters:
  `b` - The buffer to get the data from.
  `offset` - An offset into the buffer to get the data from.
  `length` - The length of data to write.
Throws:
  `IOException` - If there is an error while writing the data.

#### clear

    void clear()
        throws IOException

Clears all data of the buffer.

Throws:
  `IOException` - If there is an error while clearing the data.